> For the complete documentation index, see [llms.txt](https://api-documentation.autoshares.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-documentation.autoshares.dev/rest-api/trading-api/managing-users/get-users-info/users_getuserinfo.md).

# Syntax

## Get user info by Id

```
GET /v{version}/users/{userId}/info
```

### Description

This API endpoint returns detailed information about the user.

### Parameters

| Type       | Name                           | Description                                                                                                                                                                                                                   | Schema          | Default |
| ---------- | ------------------------------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------- | ------- |
| **Header** | **Authorization**   *required* | This is the authorization token that you retrieved from the first endpoint (/token).                                                                                                                                          | string          |         |
| **Header** | **Et-App-Key**   *required*    | This is your app’s unique key that can be retrieved from the BO Companies widget in Autoshares Trader.                                                                                                                        | string          |         |
| **Path**   | **userId**   *required*        | This is the unique identifier of the user in Autoshares Trader. If the information is requested about the user whose Authorization token is provided in the request, simply use the ‘@me’ directive instead of the user’s ID. | integer (int32) |         |
| **Path**   | **version**   *required*       | This is the version of the API. Unless you have multiple versions of Autoshares Trader’s API deployed in your environment, leave it at 1.0.                                                                                   | string          | `"1"`   |

### Responses

| HTTP Code | Description                                                                                       | Schema                                                                                                  |
| --------- | ------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------- |
| **200**   | The request is successful, JSON data with the user’s information is returned.                     | [UserInfoModel](/rest-api/trading-api/managing-users/get-users-info/users_getuserinfo.md#userinfomodel) |
| **401**   | The access level of the provided authorization token is not sufficient to perform this operation. | No Content                                                                                              |
| **403**   | The provided Et-App-Key is incorrect.                                                             | No Content                                                                                              |
| **422**   | A validation error occurred while processing the request.                                         | No Content                                                                                              |
| **500**   | Internal server error                                                                             | No Content                                                                                              |

### Produces

* `application/json`
* `text/json`
